/* ------------------- Общие ------------------- */

.filters-wrap {
  max-width: 1168px;
  width: 100%;
  margin: 0 auto 20px;
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 20px;
  overflow-x: auto;
}

.filters-group {
  display: flex;
  align-items: center;
  gap: 14px;
}

.filter-item {
  padding: 10px 18px;
  min-width: max-content;
  display: flex;
  align-items: center;
  gap: 13px;
  background-color: var(--background-color);
  border: 1px solid #292929;
  border-radius: 10px;
  cursor: pointer;
  transition: var(--transition);
}

.filter-item.filter-all-cars {
  border-color: var(--color-accent);
}

.filter-item.all-filters {
  background-color: #3b3b3b;
}

.filter-item-title {
  color: var(--color-border-block);
  font-size: 16px;
}

.filter-item svg path {
  transition: var(--transition);
}

.filter-item:hover {
  background-color: var(--color-accent);
  border-color: var(--color-accent);
}

.filter-item:hover svg path[fill] {
  fill: var(--color-border-block);
}

.filter-item:hover svg path[stroke] {
  stroke: var(--color-border-block);
}

.group-filter {
  position: static;
}

.filter-btns-wrap {
  margin: 16px 0px 0px;
  display: flex;
  flex-direction: column;
  gap: 8px;
}

.filter-btn {
  padding: 8px 0px;
  background-color: transparent;
  border: 1px solid #514f4f;
  border-radius: 10px;
  font-size: 16px;
  font-weight: 300;
  text-align: center;
  transition: var(--transition);
  color: var(--color-border-block);
}

.filter-btn:hover {
  border-color: var(--color-accent);
  background-color: var(--color-accent);
}

.filter-btn.filter-apply {
  background-color: var(--color-accent);
}

.filter-btn.filter-apply:hover {
  background-color: var(--color-accent-hover);
}

/* ------------------- Сортировка по START ------------------- */

.filter-submenu {
  position: absolute;
  top: 440px;
  z-index: 1;
  padding: 12px 18px 30px;
  display: none;
  background-color: #3b3b3b;
  border-radius: 10px;
}

.filter-submenu li {
  padding: 12px 0px 12px;
  border-top: 1px solid #514f4f;
  border-bottom: 1px solid #514f4f;
  font-weight: 900;
  cursor: pointer;
  transition: var(--transition);
}

.filter-submenu li:first-child {
  border-top: 0px;
}

ul.filter-submenu li:hover {
  color: var(--color-accent);
}

.filter-submenu.active {
  display: block;
}

/* ------------------- Сортировка по END ------------------- */

/* ------------------- Фильтр START ------------------- */

.all-filters + .filter-submenu {
  min-width: 302px;
}

.filter-menu {
  padding: 12px 0px 12px;
  border-bottom: 1px solid #514f4f;
  cursor: pointer;
}

.filter-menu-title {
  font-weight: 900;
  cursor: pointer;
  color: var(--color-border-block);
  transition: var(--transition);
}

.filter-menu:hover .filter-menu-title {
  color: var(--color-accent);
}

.dropdown-content {
  margin: 12px 0px 0px;
  max-height: 300px;
  overflow-y: auto;
  display: none;
}

.dropdown-toggle-btn {
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 20px;
}

.dropdown-toggle-btn svg {
  transition: var(--transition);
}

.active-dropdown-title svg {
  transform: rotate(180deg);
}

.filter-submenu .dropdown-content li {
  border: 0;
  padding: 0;
  font-weight: 300;
}

.filter-multiselect-wrap.car-brand[data-id="1"] {
  display: none;
}

.filter-multiselect-wrap {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.filter-multiselect-info {
  display: flex;
  align-items: center;
  gap: 13px;
  transition: var(--transition);
}

.car-class:hover .filter-multiselect-info {
  color: var(--color-accent);
}

.filter-multiselect-info img {
  width: 73px;
  object-fit: contain;
}

.filter-multiselect-btn {
  width: 21px;
  height: 21px;
  border: 1px solid #514f4f;
  border-radius: 100px;
  background-color: transparent;
  transition: var(--transition);
}

.car-class:hover .filter-multiselect-btn {
  border-color: var(--color-accent);
  background-color: var(--color-accent);
}

.filter-multiselect-wrap.active .filter-multiselect-btn {
  background-color: var(--color-accent);
  border-color: var(--color-accent);
}

.car-year__wrap {
  display: flex;
  gap: 30px;
}

.car-year__field {
  display: flex;
  align-items: center;
  gap: 6px;
}

.car-year__field input {
  margin: 0px;
  padding: 4px 10px;
  background-color: transparent;
  border: 1px solid var(--color-border-block);
  color: var(--color-border-block);
}

li.filter-multiselect-wrap:not(:first-child) {
  margin-top: 8px;
}

li.filter-multiselect-wrap.car-brand:nth-last-child(2),
li.filter-multiselect-wrap.car-brand:last-child {
  display: none;
}

.dropdown-content::-webkit-scrollbar {
  width: 6px;
  background-color: #3b3b3b;
}

.dropdown-content::-webkit-scrollbar-thumb {
  background-color: var(--background-color);
  border-radius: 8px;
}

@media only screen and (max-width: 1113px) {
  .filter-submenu {
    top: 510px;
  }
}

@media only screen and (max-width: 992px) {
  .filter-submenu {
    top: 500px;
  }
}

@media only screen and (max-width: 704px) {
  .filter-submenu {
    top: 565px;
  }
}

@media only screen and (max-width: 576px) {
  .filter-submenu {
    top: 438px;
    left: 50%;
    transform: translateX(-50%);
  }
}

@media only screen and (max-width: 496px) {
  .filter-submenu {
    top: 485px;
  }
}

/* ------------------- Фильтр END ------------------- */

.cart__class,
.cart__year,
.brand__class,
.cart__power,
.cart__privod {
  display: none;
}
